using UnityEngine;
using ScrambleKit.Move;

namespace ScrambleKit.Hits
{
    public class Stun : MonoBehaviour
    {
        MoveInputSource input;

        void TakeHit(HitInfo hit)
        {
            if (input != null)
                input.Stun(hit.StunTime);
        }

        void Start()
        {
            input = GetComponent<MoveInputSource>();
        }
    }
}